export const SYSTEM_ID = "fvtt-hellborn"

export const ASCII = `
░▒█░▒█░▒█▀▀▀░▒█░░░░▒█░░░░▒█▀▀▄░▒█▀▀▀█░▒█▀▀▄░▒█▄░▒█
░▒█▀▀█░▒█▀▀▀░▒█░░░░▒█░░░░▒█▀▀▄░▒█░░▒█░▒█▄▄▀░▒█▒█▒█
░▒█░▒█░▒█▄▄▄░▒█▄▄█░▒█▄▄█░▒█▄▄█░▒█▄▄▄█░▒█░▒█░▒█░░▀█

`

export const AILMENTS = {
  "bleeding": { id: "bleeding", label: "Bleeding" },
  "blinded": { id: "blinded", label: "Blinded" },
  "burning": { id: "burning", label: "Burning" },
  "dazed": { id: "dazed", label: "Dazed" },
  "deafened": { id: "deafened", label: "Deafened" },
  "exposes": { id: "exposed", label: "Exposed" },
  "mortally": { id: "mortal", label: "Mortal" },
  "muted": { id: "muted", label: "Muted" },
  "prone": { id: "prone", label: "Prone" },
  "immobilized": { id: "immobilized", label: "Immobile" },
  "shaken": { id: "shaken", label: "Shaken" },
  "stunned": { id: "stunned", label: "Stunned" },
  "winded": { id: "winded", label: "Winded" }
}

export const STATS = {
  "flesh": { id: "flesh", label: "Flesh" },
  "skin": { id: "skin", label: "Skin" },
  "heart": { id: "heart", label: "Heart" },
  "mind": { id: "mind", label: "Mind" },
  "soul": { id: "soul", label: "Soul" }
}

export const DIFFICULTY_CHOICES = {
  "unknown": { id: "unknown", label: "Unknown", value: "0" },
  "trivial": { id: "trivial", label: "Trivial", value: "7" },
  "easy": { id: "easy", label: "Easy", value: "9" },
  "normal": { id: "normal", label: "Normal", value: "11" },
  "hard": { id: "hard", label: "Hard", value: "15" },
  "very-hard": { id: "very-hard", label: "Very Hard", value: "18" },
  "impossible": { id: "impossible", label: "Impossible", value: "20" }
}

export const CHOICE_ADVANTAGES_DISADVANTAGES ={
  "0": { id: "0", label: "None", value: "0" },
  "1": { id: "1", label: "One", value: "1" },
  "2": { id: "2", label: "Two", value: "2" },
  "3": { id: "3", label: "Three", value: "3" },
  "4": { id: "4", label: "Four", value: "4" },
  "5": { id: "5", label: "Five", value: "5" },
}

export const PERK_ROLES = {
  "abbetor": { id: "abbetor", label: "Abbetor" },
  "blade": { id: "blade", label: "Blade" },
  "gunslinger": { id: "gunslinger", label: "Gunslinger" },
  "malefic": { id: "malefic", label: "Malefic" },
  "mastermind": { id: "mastermind", label: "Mastermind" },
  "sentinel": { id: "sentinel", label: "Sentinel" },
  "slayer": { id: "slayer", label: "Slayer" },
  "wretch": { id: "wretch", label: "Wretch" },
  "other": { id: "other", label: "Other" },
}

export const MALEFICA_DOMAINS = {
  "adfectus": { id: "adfectus", label: "Adfectus" },
  "divinus": { id: "divinus", label: "Divinus" },
  "ignis": { id: "ignis", label: "Ignis" },
  "iunctio": { id: "iunctio", label: "Iunctio" },
  "speculo": { id: "speculo", label: "Speculo" },
  "vinculum": { id: "vinculum", label: "Vinculum" },
  "vita": { id: "vita", label: "Vita" },
  "other": { id: "other", label: "Other" },
}

export const PERK_LEVELS = {
  "1": { id: "1", label: "Level 1" },
  "2": { id: "2", label: "Level 2" },
  "3": { id: "3", label: "Level 3" },
  "mastery": { id: "mastery", label: "Mastery" },
}

export const MALEFICA_LEVELS = {
  "1": { id: "1", label: "Level 1" },
  "2": { id: "2", label: "Level 2" },
  "3": { id: "3", label: "Level 3" },
  "highpowers": { id: "highpowers", label: "High Power" },
}

export const WEAPON_TYPES = {
  "melee": { id: "melee", label: "Melee" },
  "ranged": { id: "ranged", label: "Ranged" },
}

export const AMMO_TYPES = {
  "blessed": { id: "blessed", label: "Blessed" },
  "hollow-points": { id: "hollow-points", label: "Hollow" },
  "incendiary": { id: "incendiary", label: "Incendiary" },
  "poisoned": { id: "poisoned", label: "Poisoned" },
  "rubber": { id: "rubber", label: "Rubber" },
  "tesla": { id: "tesla", label: "Tesla" },
}

export const ENEMY_TYPES = {
  "mook": { id: "mook", label: "Mook" },
  "elite": { id: "elite", label: "Elite" },
  "legendary": { id: "legendary", label: "Legendary" }
}

/**
 * Include all constant definitions within the SYSTEM global export
 * @type {Object}
 */
export const SYSTEM = {
  id: SYSTEM_ID,
  AILMENTS,
  ENEMY_TYPES,
  STATS,
  PERK_ROLES,
  PERK_LEVELS,
  MALEFICA_LEVELS,
  MALEFICA_DOMAINS,
  WEAPON_TYPES,
  AMMO_TYPES,
  DIFFICULTY_CHOICES,
  CHOICE_ADVANTAGES_DISADVANTAGES,
  ASCII
}
